aboutsummaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2009-11-22 19:01:15 -0800
committerJunio C Hamano <gitster@pobox.com>2009-11-22 19:01:15 -0800
commitc1c30ab31dcf657dbbfeffca7963067cd05a010a (patch)
treeefbb0bf4ca2b54cef39aa932c45e7e7aafcb8a40 /t
parent0a8a38433d7631ea3e2152f890cf92c9b0968948 (diff)
parent9be30eed61993a6f2d04a1609723e64e7632a64e (diff)
downloadgit-c1c30ab31dcf657dbbfeffca7963067cd05a010a.tar.gz
git-c1c30ab31dcf657dbbfeffca7963067cd05a010a.tar.xz
Merge git://git.bogomips.org/git-svn
* git://git.bogomips.org/git-svn: git svn: strip leading path when making empty dirs git svn: always reuse existing remotes on fetch
Diffstat (limited to 't')
-rwxr-xr-xt/t9146-git-svn-empty-dirs.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/t/t9146-git-svn-empty-dirs.sh b/t/t9146-git-svn-empty-dirs.sh
index 5948544ec..70c52c1f9 100755
--- a/t/t9146-git-svn-empty-dirs.sh
+++ b/t/t9146-git-svn-empty-dirs.sh
@@ -82,4 +82,27 @@ test_expect_success 'git svn mkdirs -r works' '
)
'
+test_expect_success 'initialize trunk' '
+ for i in trunk trunk/a trunk/"weird file name"
+ do
+ svn_cmd mkdir -m "mkdir $i" "$svnrepo"/"$i"
+ done
+'
+
+test_expect_success 'clone trunk' 'git svn clone -s "$svnrepo" trunk'
+
+test_expect_success 'empty directories in trunk exist' '
+ (
+ cd trunk &&
+ for i in a "weird file name"
+ do
+ if ! test -d "$i"
+ then
+ echo >&2 "$i does not exist"
+ exit 1
+ fi
+ done
+ )
+'
+
test_done